[arch-dev-public] Please avoid versioned deps

Pierre Schmitz pierre at archlinux.de
Thu Jan 28 11:55:11 EST 2010

Am Donnerstag, 28. Januar 2010 17:44:48 schrieb Ionut Biru:
> > What do you think if we work on some kind of policy that recommends
> > strict versioned deps for packages in the base group and none for
> > everything else?
> -1
> > This way we could avoid any major damage (caused by users, mirror
> > problems or even our fault) but on the other hand does not introduce
> > complexity and other problems for non-base packages.
> i think in this way we will have major breakage. For example:
> http://bugs.archlinux.org/task/18051
> if bash had an extended version on readline dependency he wouldn't 
> trash his system. The examples can be a lot. External modules(which are 
> in extra) they have kernel26>=2.6.32 kernel26<2.6.33 just to avoid 
> breakage.

If you had read my proposal you would have noticed that this would have made 
this breakage impossible; bash is in the base group. And I think we can add 
kernel modules here, too.


Pierre Schmitz, https://users.archlinux.de/~pierre

More information about the arch-dev-public mailing list